<?php
$title = "Edit Positions";
headers(array('title'=>$title,'menu'=>1));

if(!has_permission(get_member_id($_SESSION['user']),'edit positions')) {
  ?>
  <div class="error">
  <p>You do not have permission to do this.</p>
  </div>
<?php
					} else { 
if($_GET['delete']) {
  $sql = "delete from positions where id=".$dbh->quote($_GET['delete']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,"edit-positions delete: ".$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions delete isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions delete  result: '.var_export($result));
    exit("Database error");    
  }
}

if($_GET['edit'] && $_POST['submit']=='Edit') {
  $sql = "update positions set title=".$dbh->quote($_POST['title'])." , ".
    "description=".$dbh->quote($_POST['description']).
    " where id=".$dbh->quote($_POST['id']);
  $result = $dbh->query($sql);
  my_syslog(LOG_DEBUG,'edit-positions update: '.$sql);
  if(DB::isError($result)) {
    my_syslog(LOG_ERR,'edit-positions update isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'edit-positions update result: '.var_export($result));
    exit("Database error");
  }
}

if($_POST['submit']=='Add') {
  sql_insert('positions',array(
			       'org_id'=> $config['org_id'],
			       'title' => $_POST['title'],
			       'description' => $_POST['description']
			       )
	     );
}

$sql = "select positions.*,orgs.name as org_name from positions,orgs where orgs.id=positions.org_id or positions.org_id is NULL";
$result = $dbh->query($sql);
my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
if(DB::isError($result))
{
  my_syslog(LOG_ERR,'edit-positions get isError: '.$result->getMessage());
  my_syslog(LOG_ERR,'edit-positions get  result: '.var_export($result));
  exit("Database error");
}
?>

<h2>Existing Position Types</h2>
<p>There are currently <?=$result->numRows()?> types of positions.</p>
<?php
if($result->numRows()) {
  ?>
  <table cellspacing="0" class="pretty">
  <thead>
  <tr>
    <th scope="col">Action</th>
    <th scope="col">ID</th>
    <th scope="col">Org</th>
    <th scope="col">Title</th>
    <th scope="col">Description</th>
  </tr>
  </thead>
  <tbody>
  <?php
  while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
    print '<tr>';
    print '<td><a href="'.$PHP_SELF.'?page=edit-positions&edit='.$row->id.'">edit</a>|<a href="'.$PHP_SELF.'?page=edit-positions&delete='.$row->id.'">delete</a></td>';
    print '<td>'.$row->id.'</td>';
    print '<td>'.$row->org_name.'</td>';
    print '<td>'.$row->title.'</td>';
    print '<td>'.$row->description.'</td>';
    print '</tr>'."\n";
  }
  ?>
  </tbody>
  </table>
<?php
} // if result->numrows

 if($_GET['edit']) {
   $sql = "select * from positions where id=".$dbh->quote($_GET['edit']);
   $result = $dbh->query($sql);
   my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
   if(DB::isError($result)) {
     my_syslog(LOG_ERR,'edit-positions get edit isError: '.
	       $result->getMessage());
     my_syslog(LOG_ERR,'edit-positions get edit result: '.var_export($result));
     exit("Database error");
   }
   $row = $result->fetchrow(DB_FETCHMODE_OBJECT);
 }
   

?>
<h2>Add Position Type</h2>
<form name="main" method="POST" action="<?=$PHP_SELF?>?page=edit-positions<? if($row) { echo '&edit='.$row->id;}?>">
<?php if($row) {?>
    <input type="hidden" name="id" value="<?=$row->id?>"/>
<? } ?>
    <p class="field">
      <label for="title">Title: </label>
      <input type="text" id="title" name="title" value="<?=$row->title?>"/>
    </p>

    <p class="field">
      <label for="description">Description: </label>
      <input type="text" id="description" name="description" value="<?=$row->description?>"/>
    </p>

    <input type="submit" name="submit" value="Add"/>
				<?php if($row) { ?>
    <input type="submit" name="submit" value="Edit"/>
						 <? } ?>
</form>


<?php
				} // permission check
?>